//-----------------------------------------------
// Wizard analog form
//-----------------------------------------------
Ext.namespace("Paraxip.wizard");

var analog_form = new Ext.Panel({
  title     : "Country Selection",
  layout    : 'form',
  frame     : true,
  header    : false,
  id        : "Paraxip.wizard.analog_form",
  items     : [{}],
  bodyStyle : 'text-align:left;padding-top:20px;padding-bottom:20px;padding-left:15px;'  
  
});

var AnaDescriptionLabel = new Ext.form.Label({
  id    : "Paraxip.wizard.AnaDescriptionLabel",
  text  : "Select your country",  
  style : 'font-size:120%;font-weight:bold; line-height:60px;'   
});


//select country
var country = new Ext.form.ComboBox({
  id              : 'country',
  fieldLabel      : "Country",
  store           : Paraxip.countryList,
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  value           : 'USA',
  width           : 100,
  listWidth       : 272,
  selectOnFocus   : true,
  readOnly        : true,
  anchor          : '40%'
});

analog_form.add(AnaDescriptionLabel);
analog_form.add(country);
